<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;
use Validator;
use Hash;
use Illuminate\Support\Facades\Input;
use DB;
use Image;
use App\Flash;
use App\User;
use Carbon\Carbon;
use Mail;

class ApiController extends Controller {

    public function __construct() {
        date_default_timezone_set('Asia/Kolkata');
    }

    //--------- Grocery Vendor API Functions START ----------//
    //Signup START
    public function signUp(Request $request) {
        $res = array();

        if (!empty($request->input('name')) && !empty($request->input('email')) && !empty($request->input('password')) && !empty($request->input('confirm_password'))) {

            $users = $user = DB::table('users')->where('email',$request->input('email'))->first();
            if ($request->input('password')!=$request->input('confirm_password')) {
                    return json_encode(array('status' => "201", 'message' => 'Password and confirm password does not match'));
            }
            if (!empty($users)) {
                return json_encode(array('status' => "201", 'message' => 'User with this email already exist'));
            } else {
                $usersPhoneCount = DB::table('users')->where('phone',$request->input('phone'))->count();

                if (!empty($usersPhoneCount)) {
                    return json_encode(array('status' => "201", 'message' => 'User with this phone number already exist'));
                }
                //check referal code exist or not
                $pass = Hash::make($request->input('password'));
                $token = Hash::make(now());
                
                $number = uniqid();
                $varray = str_split($number);
                $len = sizeof($varray);
                $otp = array_slice($varray, $len - 5, $len);
                $otp = implode(",", $otp);
                $otp = "DAFTR" . str_replace(',', '', $otp);

                $user = DB::table('users')->insertGetId([
                    'name' => $request->input('name'),
                    'phone' => $request->input('phone'),
                    'email' => $request->input('email'),
                    'is_admin' => '0',
                    'refer_code' => $otp,
                    'status' => '0',
                    'password' => $pass,
                    'accessToken' => $token,
                    'device_token' => $request->input('device_token'),
                    'device_type' => $request->input('device_type'),
                        ]
                );

                if ($user) {
                    $userGetData = DB::table('users')
                            ->where('id', $user)
                            ->first();
                    $result [] = array(
                        'id'=>$userGetData->id,
                        'name'=>$userGetData->name,
                        'email'=>$userGetData->email,
                        'phone'=>$userGetData->phone,
                        'user_status'=>$userGetData->status,
                        'refer_code'=>$userGetData->refer_code
                    );        
                    
                    return json_encode(array('status' => "200", 'message' => 'User created successfully.','result'=>$result));
                } else {
                    return json_encode(array('status' => "201", 'message' => 'Something went wrong, please try again.'));
                }

                return json_encode($res);
            }
        } else {
            return json_encode(array('status' => "201", 'message' => 'Email, name or password missing'));
        }
    }
    //Signup END

    //Login START
    public function login(Request $request) {

        $res = array();
        if (!empty($request->input('email')) && !empty($request->input('password'))) {
            // return $users = DB::table('users')->get();
            $email_phone = $request->input('email');
            if (filter_var($email_phone, FILTER_VALIDATE_EMAIL)) {
                $user = $user = DB::table('users')
                        ->where('email', $email_phone)
                        ->where('user_type', 'grocery_vendor')
                        ->first();
            } else {
                $user = $user = DB::table('users')
                        ->where('phone', $email_phone)
                        ->where('user_type', 'grocery_vendor')
                        ->first();
            }

            if (isset($user) && !empty($user)) {

                if (Hash::check($request->input('password'), $user->password)) {
                    $token = Hash::make(now());

                    // $pass = Hash::make($request->input('password'));
                    // $res['pass'] = Hash::check($request->input('password'), $pass); 


                    if (isset($user->phone) && !empty($user->phone)) {
                        $user_phone = $user->phone;
                    } else {
                        $user_phone = '';
                    }

                    DB::table('users')->where('id', $user->id)->update([
                        'device_token' => $request->input('device_token'),
                        'device_type' => $request->input('device_type'),
                        'avail_status' => 'online',
                    ]);
                    $users = DB::table('users')
                            ->where('id', $user->id)
                            ->first();
                    if ($users->status == '0') {
                        $res['status'] = "201";
                        $res['msg'] = "Your account is still under review.";
                        return json_encode($res);
                    }
                    $res['id'] = $users->id;
                    $res['firstname'] = $users->name;
                    $res['email'] = $users->email;
                    $res['phone'] = $user_phone;
                    $res['user_type'] = $users->user_type;
                    $res['device_type'] = $users->device_type;
                    $res['device_token'] = $users->device_token;
                    $res['user_status'] = $users->status;
                    $res['refer_code'] = $users->refer_code;
                    $res['accessToken'] = $token;
                    $res['avail_status'] = $users->avail_status;
                    $res['current_language'] = $users->current_language;
                    $res['msg'] = "Success";
                    $res['status'] = "200";

                    return json_encode($res);
                } else {
                    $res['status'] = "201";
                    $res['msg'] = "Wrong Password.";
                    return json_encode($res);
                }
            } else {
                $res['status'] = "201";
                $res['msg'] = "Wrong Email Id.";

                return json_encode($res);
            }
        } else {
            $res['status'] = "201";
            $res['msg'] = "Email or password missing";

            return json_encode($res);
        }
    }
    //Login END
    
    //Get Categories START
    public function categories(){
        $categories=DB::table('categories')->where('status','1')->whereNull('deleted_at')->get();
        return json_encode(array('status' => "200", 'message' => 'All records','result'=>$categories));
    }
    //Get Cateories END
    
    //Get sub Categories START
    public function sub_categories(Request $request){
        $category_id = $request->input('category_id');
        $master_items = asset('master_items/');
        $sub_categories=DB::table('sub_categories')->where('category_id',$category_id)->where('status','1')->whereNull('deleted_at')->get();
        $items = '';
        foreach($sub_categories as $k=>$sub_category){
            $items=DB::table('master_items')->select('id','title','arabic_title','description','arabic_description','image','price')->where('sub_category_id',$sub_category->id)->get();
            $sub_categories[$k]->items = $items;
        }

        return json_encode(array('status' => "200", 'message' => 'All records','master_items'=>$master_items,'result'=>$sub_categories));
    }
    //Get sub Cateories END
    
    //Item Detail START
    public function item_detail(Request $request){
        $item_id = $request->input('item_id');
        $all_items=DB::table('master_items')->where('id',$item_id)->where('status','1')->whereNull('deleted_at')->get();
        $fonts=DB::table('fonts')->where('status','1')->whereNull('deleted_at')->get();
        $colors=DB::table('colors')->where('status','1')->whereNull('deleted_at')->get();
        $sizes=DB::table('sizes')->where('status','1')->whereNull('deleted_at')->get();
        return json_encode(array('status' => "200", 'message' => 'All records','result'=>$all_items,'fonts'=>$fonts,'colors'=>$colors,'sizes'=>$sizes));
    }
    //Item Detail END
    
    //All items listing START
    public function all_items(Request $request){
        $category_id = $request->input('category_id');
        $sub_category_id = $request->input('sub_category_id');
        $master_items = DB::table('master_items')->where('status','1')->whereNull('deleted_at')->get();
        return json_encode(array('status' => "200", 'message' => 'All records','result'=>$master_items));
    }
    //All items listing END
    
    //Add to cart START
    public function add_to_cart(Request $request){
        $user_id = $request->input('user_id');
        $item_id = $request->input('item_id');
        $item_size = $request->input('item_size');
        $item_color = $request->input('item_color');
        $item_font = $request->input('item_font');
        $item_font_size = $request->input('item_font_size');
        
        $item_front_text = $request->input('item_front_text');
        $item_back_text = $request->input('item_back_text');
        $quantity = $request->input('quantity');
        $item_price = $request->input('item_price');
        
        if ($file = $request->hasFile('item_front_image')) {
            $file = $request->file('item_front_image');
            $imageType = $file->getClientmimeType();
            // print_r($imageType); die;
            $rules = array(
                'image' => 'mimes:jpeg,jpg,png',
            );

            $validator = Validator::make($request->all(), $rules);

            if ($validator->fails()) {
                $res['status'] = "201";
                $res['msg'] = "Image format must be jpeg,jpg,png";
                return json_encode($res);
            } else {
                $fileName = $file->getClientOriginalName();
                $fileNameUnique = time() . '_' . $fileName;
                $destinationPath = public_path() . '/item_front_image/';
                $file->move($destinationPath, $fileNameUnique);
            }
            $imageDitem_front_image = $fileNameUnique;
        } else {
            $imageDitem_front_image = '';
        }
                
        if ($fileB = $request->hasFile('item_back_image')) {
            $fileB = $request->file('item_back_image');
            $imageType = $file->getClientmimeType();
            // print_r($imageType); die;
            $rules = array(
                'image' => 'mimes:jpeg,jpg,png',
            );

            $validator = Validator::make($request->all(), $rules);

            if ($validator->fails()) {
                $res['status'] = "201";
                $res['msg'] = "Image format must be jpeg,jpg,png";
                return json_encode($res);
            } else {
                $fileName = $fileB->getClientOriginalName();
                $fileNameUnique = time() . '_' . $fileName;
                $destinationPath = public_path() . '/item_back_image/';
                $fileB->move($destinationPath, $fileNameUnique);
            }
            $imageitem_back_image = $fileNameUnique;
        } else {
            $imageitem_back_image = '';
        }        
        
        DB::table('carts')->insert([
            'user_id'=>$user_id,
            'item_id'=>$item_id,
            'item_size'=>$item_size,
            'item_color'=>$item_color,
            'item_font'=>$item_font,
            'item_font_size'=>$item_font_size,
            'item_front_text'=>$item_front_text,
            'item_back_text'=>$item_back_text,
            'quantity'=>$quantity,
            'item_price'=>$item_price,
            'item_front_image'=>$imageDitem_front_image,
            'item_back_image'=>$imageitem_back_image,
        ]);
        
        return json_encode(array('status' => "200", 'message' => 'Item has been added successfully'));
        
    }
    //Add to cart END
    
    //User cart listing START
    public function user_cart(Request $request){
        $user_id = $request->input('user_id');
        $cart_sum = DB::table('carts')->where('user_id',$user_id)->sum('item_price');
        $carts = DB::table('carts')->where('user_id',$user_id)->get();
        
        return json_encode(array('status' => "200", 'message' => 'Item has been added successfully','cart'=>$carts,'cart_sum'=>$cart_sum));
        
    }
    //User cart listing END
    
    //Get offer listing START
    public function offers(){
        $offers = DB::table('offers')->where('status','1')->whereNull('deleted_at')->get();
        return json_encode(array('status' => "200", 'message' => 'Offer listing','result'=>$offers));
    }
    //Get offer listing END
    
    //checkout function START
    public function checkout(Request $request){
        $cart_id = $request->input('cart_id');
        $cartIds = json_decode($cart_id);
        foreach($cartIds as $cartId){
            
        }
    }
    //checkout function END
    
}
