<?php

   

namespace App\Http\Controllers;

  

use Illuminate\Http\Request;
use DB;
use Razorpay\Api\Api;   
use Exception;
use Session;
use Auth;
use App\Models\User;
use Hash;
class HomeController extends Controller

{

    /**

     * Create a new controller instance.

     *

     * @return void

     */

    public function __construct()

    {

        $this->middleware('auth');

    }

  

    /**

     * Show the application dashboard.

     *

     * @return \Illuminate\Contracts\Support\Renderable

     */

    public function index()

    {

        return view('home');

    }


    /**

     * Show the application dashboard.

     *

     * @return \Illuminate\Contracts\Support\Renderable

     */

    public function adminHome()

    {
        if(Auth::user()->caterer_id==''){
            return view('adminHome');
        }else{
            return view('adminCaterer');
        }
        

    }

    public function edit_profile(Request $request){
        
        if($request->all()){
            DB::table('users')->update([
                'name'=>$request->name,
                'first_name'=>$request->first_name,
                'last_name'=>$request->last_name,
                'phone'=>$request->phone,
            ]);
            Session::flash('message', 'Record has been updated successfully');
        }
        $data=User::find(Auth::user()->id);
        return view('admin_user.edit_profile',get_defined_vars());
    }

    public function password(Request $request){
        if($request->all()){
            if (!(Hash::check($request->get('current-password'), Auth::user()->password))) {
            // The passwords matches
            return redirect()->back()->with("error","Your current password does not matches with the password.");
        }

        if(strcmp($request->get('current-password'), $request->get('new-password')) == 0){
            // Current password and new password same
            return redirect()->back()->with("error","New Password cannot be same as your current password.");
        }

        $validatedData = $request->validate([
            'current-password' => 'required',
            'new-password' => 'required|string|min:8|confirmed',
        ]);

        //Change Password
        $user = Auth::user();
        $user->password = bcrypt($request->get('new-password'));
        $user->save();

        return redirect()->back()->with("success","Password successfully changed!");
        }
        
        return view('admin_user.password');        
    }

    

}