<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->integer('order_id');
            $table->integer('user_id');
            $table->integer('offer_id')->nullable();
            $table->integer('address_id')->nullable();
            $table->integer('cart_total')->nullable();
            $table->integer('delivery_charges')->nullable();
            $table->integer('coupon_discount')->nullable();
            $table->integer('shipping_cost')->nullable();
            $table->integer('grand_total')->nullable();
            $table->enum('address_type',['home','apartment','office']);
            $table->text('address_name')->nullable();
            $table->string('area')->nullable();
            $table->string('block')->nullable();
            $table->string('street')->nullable();
            $table->string('avenue')->nullable();
            $table->string('floor_no')->nullable();
            $table->string('house_no')->nullable();
            $table->string('direction_lat')->nullable();
            $table->string('direction_lng')->nullable();
            $table->string('payment_type')->nullable();
            $table->string('transaction_status')->nullable();
            $table->string('transaction_id')->nullable();
            $table->enum('od_status',['New', 'Picked Up', 'On The Way','Delivered','Accepted','Cancel']);
            $table->datetime('new_dated')->nullable();
            $table->datetime('accept_dated')->nullable();
            $table->datetime('cancel_dated')->nullable();
            $table->datetime('on_the_way_dated')->nullable();
            $table->datetime('delivered_dated')->nullable();
            $table->datetime('order_assign_date')->nullable();
            $table->enum('status',['1','0']);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
