<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_items', function (Blueprint $table) {
            $table->id();
            $table->integer('order_id');
            $table->integer('item_id');
            $table->string('item_size');
            $table->string('item_color');
            $table->string('item_font');
            $table->string('item_font_size');
            $table->string('item_front_image')->nullable();
            $table->string('item_front_text')->nullable();
            $table->string('item_back_image')->nullable();
            $table->string('item_back_text')->nullable();
            $table->integer('quantity')->nullable();
            $table->string('item_price');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_items');
    }
}
