@extends('layouts.admin')
@section('title', 'Edit Profile')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Edit Profile</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/edit_profile')}}">Edit Profile</a></li>
              <li class="breadcrumb-item active">Update</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Update Profile</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Html::ul($errors->all()) }}
                <br>
                @if (Session::has('message'))
                    <div class="alert alert-info">{{ Session::get('message') }}</div>
                @endif
                <form method="post">
                  @csrf
                <div class="card-body">
                  <div class="form-group">
                    <label for="exampleInputEmail1">User Name</label>
                    {{ Form::text('name', $data->name, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">First Name</label>
                    {{ Form::text('first_name', $data->first_name, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter first name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Last Name</label>
                    {{ Form::text('last_name', $data->last_name, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter last name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Phone</label>
                    {{ Form::text('phone', $data->phone, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter phone')) }}
                  </div>
                  
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection