@extends('layouts.admin')
@section('title', 'Caterer')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-12">
            <h1>Caterer</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/caterers')}}">Caterer</a></li>
              <li class="breadcrumb-item active">Create</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Add Caterer</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Html::ul($errors->all()) }}

                {{ Form::open(['files'=>true,'url' => 'admin/caterers']) }}
                <div class="card-body">
                  <div class="form-group">
                    <label for="exampleInputEmail1">Caterer Name in English</label>
                    {{ Form::text('name', Request::old('name'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Caterer Detail in English</label>
                    {{ Form::textarea('detail', Request::old('detail'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter detail')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Caterer Name in Arabic</label>
                    {{ Form::text('arabic_name', Request::old('arabic_name'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter arabic name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Caterer Detail in Arabic</label>
                    {{ Form::textarea('arabic_detail', Request::old('arabic_detail'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter detail')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Status</label>
                    <input type="radio" name="status" checked value="available"> Available
                    <input type="radio" name="status" value="not_available"> Not Available
                    <input type="radio" name="status" value="inactive"> Inactive
                    
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Female Service</label>
                    <input type="radio" name="female_service" checked value="available"> Available
                    <input type="radio" name="female_service" value="not_available"> Not Available
                    
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Organization Logo</label>
                    <input type="file" name="logo" class="form-control">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Cover Image</label>
                    <input type="file" name="cover_image" class="form-control">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Payment Type</label><br>
                    @foreach($payment_types as $payment_type)
                    <input type="checkbox" name="payment_type[]" value="{{$payment_type->id}}"> {{$payment_type->name}}<br>
                    @endforeach
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Delivery Time To Show</label>
                    {{ Form::text('time_show', Request::old('time_show'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'e.g : 45 Mins')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Delivery Charge</label>
                    {{ Form::text('delivery_charge', '0', array('id'=>'exampleInputEmail1','class' => 'form-control')) }}<br>
                    <b>Is Discount Available</b> <input type="radio" class="discount_available-js" name="discount_available" value="yes"> Yes
                    <input type="radio" class="discount_available-js" name="discount_available" checked value="no"> No
                  </div>

                  <div id="discount-js-show" style="display: none;">
                      <div class="form-group">
                        <label for="exampleInputPassword1">Discount Type</label>
                        <input type="radio" name="discount_type" checked value="percentage"> Percentage(%)
                        <input type="radio" name="discount_type" value="value"> Value
                        
                      </div>
                      <div class="form-group">
                        <label for="exampleInputEmail1">Discount Value</label>
                        {{ Form::text('discount_value', Request::old('discount_value'), array('id'=>'exampleInputEmail1','class' => 'form-control discount-val-js','placeholder' => 'Discount Value')) }}
                      </div>
                      <div class="form-group">
                        <label for="exampleInputEmail1">Start Date</label>
                        {{ Form::date('start_date', Request::old('start_date'), array('id'=>'exampleInputEmail1','class' => 'form-control start-date-js')) }}
                      </div>
                      <div class="form-group">
                        <label for="exampleInputEmail1">End Date</label>
                        {{ Form::date('end_date', Request::old('end_date'), array('id'=>'exampleInputEmail1','class' => 'form-control end-date-js')) }}
                      </div>
                  </div>
                  <hr>
                  <h3 class="card-title">Admin For Caterer</h3>
                  <br>
                  <hr>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Display Name</label>
                    {{ Form::text('display_name', Request::old('display_name'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter display name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">First Name</label>
                    {{ Form::text('first_name', Request::old('first_name'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter first name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Last Name</label>
                    {{ Form::text('last_name', Request::old('last_name'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter last name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Email</label>
                    {{ Form::email('email', Request::old('email'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter email')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Username</label>
                    {{ Form::text('username', Request::old('username'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter username')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Password</label>
                    <input type="password" name="password" value="" placeholder="********" class="form-control">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Address</label>
                    {{ Form::textarea('address', Request::old('address'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter address')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Lat</label>
                    {{ Form::text('lat', Request::old('lat'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter lat')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Lng</label>
                    {{ Form::text('lng', Request::old('lng'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter lng')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">City</label>
                    <select id="city_js" name="city_id" class="form-control">
                      <option value="">--Select City--</option>
                      @foreach($cities as $citi)
                      <option value="{{$citi->id}}">{{$citi->name}} / {{$citi->arabic_name}}</option>
                      @endforeach
                    </select>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Area</label>
                    <select id="area_js" name="area_id" class="form-control">
                      <option value="">--Select Area--</option>
                      
                    </select>
                  </div>
                  <div class="form-group">
                    <label class="exampleInputEmail1">Services Provide in</label>
                    <div class="card card-success">
                      <div class="card-header">
                        <h3 class="card-title"><i class="fas fa-map-marker-alt"></i> Services Provide in</h3>
                      </div>
                      <div class="card-body">
                        <!-- Minimal style -->
                        <div class="row">
                          @php $a=1; @endphp
                          @foreach($areas as $area)
                          <div class="col-sm-6">
                            <!-- checkbox -->
                            <div class="form-group clearfix">
                              <div class="icheck-primary d-inline">
                                <input type="checkbox" id="checkboxPrimary{{$a}}" name="area[]" value="{{$area->id}}">
                                <label for="checkboxPrimary{{$a}}">
                                  {{$area->name}} / {{$area->arabic_name}}
                                </label>
                              </div>
                            </div>
                          </div>
                          @php $a++; @endphp
                          @endforeach
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Mobile</label>
                    {{ Form::text('phone', Request::old('phone'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => '+96560065645')) }}
                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection
@section('footer-scripts')
      @include('scripts.carterer')
  @endsection