@extends('layouts.admin')
@section('title', 'User Addresses')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>User Addresses</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">User Addresses</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title">All Addresses of : <b>{{ucfirst($user->first_name)}} {{ucfirst($user->last_name)}}</b> 
                  
                </h3> 
                  
              </div>

              <!-- /.card-header -->
              <div class="card-body">
                <!-- will be used to show any messages -->
                @if (Session::has('message'))
                    <div class="alert alert-info">{{ Session::get('message') }}</div>
                @endif
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>ID</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>House No</th>
                    <th>Contact No</th>
                    <th>Appartment</th>
                    <th>Landmark</th>
                    <th>Pincode</th>
                    <th>Address Type</th>
                    <th>Address</th>
                    <th>City</th>
                    <th>Area</th>
                  </tr>
                  </thead>
                  <tbody>
                  @foreach($data as $datas)  
                  <tr>
                    <td>{{$datas->id}}</td>
                    <td>{{$datas->first_name}}</td>
                    <td>{{$datas->last_name}}</td>
                    <td>{{$datas->house_no}}</td>
                    <td>{{$datas->contact_no}}</td>
                    <td>{{$datas->appartment}}</td>
                    <td>{{$datas->landmark}}</td>
                    <td>{{$datas->pincode}}</td>
                    <td>{{$datas->address_type}}</td>
                    <td>{{$datas->address}}</td>
                    <td>{{$datas->city}}</td>
                    <td>{{$datas->area}}</td>
                    
                  </tr>
                  @endforeach
                  </tbody>
                  <tfoot>
                  <tr>
                    <th>ID</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>House No</th>
                    <th>Contact No</th>
                    <th>Appartment</th>
                    <th>Landmark</th>
                    <th>Pincode</th>
                    <th>Address Type</th>
                    <th>Address</th>
                    <th>City</th>
                    <th>Area</th>
                  </tr>
                  </tfoot>
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
@endsection