@extends('layouts.admin')
@section('title', 'Master Item')
@section('content')

<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Master Item</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/master_items')}}">Master Item</a></li>
              <li class="breadcrumb-item active">Create</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Add Master Item</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Html::ul($errors->all()) }}

                {{ Form::open(['files'=>true,'url' => 'admin/master_items']) }}

                <div class="card-body">
                  
                  <div class="form-group">
                    <label for="exampleInputEmail1">Service Category</label>
                    <select class="form-control" id="category-js" name="category_id" required="">
                      <option value="">--Select Category--</option>
                      @foreach($all_cats as $category)
                      <option value="{{$category->id}}">{{$category->title}}</option>
                      @endforeach
                    </select>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Service Sub Category</label>
                    <select class="form-control" id="sub-category-js" name="subcategory_id" required="">
                      <option value="">--Select Sub Category--</option>
                    </select>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Title</label>
                    {{ Form::text('title', Request::old('title'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Arabic Title</label>
                    {{ Form::text('arabic_title', Request::old('arabic_title'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter arabic name')) }}
                  </div>

                  <div class="form-group">
                    <label for="exampleInputEmail1">Description</label>
                    {{ Form::textarea('description', Request::old('description'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter description')) }}
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputEmail1">Arabic Description</label>
                    {{ Form::textarea('arabic_description', Request::old('arabic_description'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter arabic description')) }}
                  </div>
                  <div class="form-group">
                    <input type="file" name="image">
                    
                  </div> 
                  <div class="form-group">
                    <label for="exampleInputEmail1">Currency</label>
                    <select name="currency_id" class="form-control">
                      @foreach($categories as $cat)
                        <option value="{{$cat->id}}">{{$cat->title}}</option>
                      @endforeach
                    </select>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Price</label>
                    {{ Form::text('price', Request::old('price'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter price')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Status</label>
                 <input type="radio" name="status" checked value="1"> Active
                <input type="radio" name="status" value="0"> Inactive
                
              </div>
                  
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection
@section('footer-scripts')
      @include('scripts.carterer')
  @endsection