@extends('layouts.admin')
@section('title', 'Master Item')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Master Item</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/master_items')}}">Master Item</a></li>
              <li class="breadcrumb-item active">Update</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Update Master Item</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Html::ul($errors->all()) }}

                {{ Form::model($data, array('route' => array('master_items.update', $data->id), 'method' => 'PUT','files'=>true)) }}
                <div class="card-body">
                  
                  <div class="form-group">
                    <label for="exampleInputEmail1">Title</label>
                    {{ Form::text('title', $data->title, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Arabic Title</label>
                    {{ Form::text('arabic_title', $data->arabic_title, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter arabic name')) }}
                  </div>

                  <div class="form-group">
                    <label for="exampleInputEmail1">Description</label>
                    {{ Form::textarea('description', $data->description, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'description')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Arabic Description</label>
                    {{ Form::textarea('arabic_description', $data->arabic_description, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter arabic description')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Currency</label>
                    <select name="currency_id" class="form-control">
                      @foreach($categories as $cat)
                        <option value="{{$cat->id}}" @if($cat->id==$data->currency_id) selected @endif>{{$cat->title}}</option>
                      @endforeach
                    </select>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Price</label>
                    {{ Form::text('price', Request::old('price'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter price')) }}
                  </div>
                  <div class="form-group">
                    <input type="file" name="image">
                    <br>
                    <img src="{{asset('master_items/'.$data->image)}}" width="200" height="200">
                  </div> 
                  <div class="form-group">
                    <label for="exampleInputPassword1">Status</label>
                 <input type="radio" name="status" @if($data->status=='1') checked @endif value="1"> Active
                <input type="radio" name="status"  @if($data->status=='0') checked @endif value="0"> Inactive
                
                
              </div>
                  
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection