@extends('layouts.admin')
@section('title', 'Master Items')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Master Items</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Master Items</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title">All Master Items listing  
                  <a href="{{url('admin/master_items/create')}}" class="btn btn-primary" style="margin-left: 500%;">Add</a></h3>
              </div>

              <!-- /.card-header -->
              <div class="card-body">
                <!-- will be used to show any messages -->
                @if (Session::has('message'))
                    <div class="alert alert-info">{{ Session::get('message') }}</div>
                @endif
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>ID</th>
                    <th>Title</th>
                    <th>Arabic Title</th>
                    <th>Image</th>
                    <th>price</th>
                    <th>Status</th>
                    <th>Date</th>
                    <th>Action</th>
                    <th></th>
                  </tr>
                  </thead>
                  <tbody>
                  @foreach($data as $datas)  
                  <tr>
                    <td>{{$datas->id}}</td>
                    <td>{{$datas->title}}</td>
                    <td>{{$datas->arabic_title}}</td>
                    <td><img src="{{asset('master_items/'.$datas->image)}}" width="50" height="80"></td>
                    <td>{{$datas->currency}} {{$datas->price}}</td>
                    <td>
                      @if($datas->status=='1')
                      <a href="{{url('admin/master-item-status/'.$datas->id)}}" class="btn btn-success">Activated</a>
                      @else
                      <a href="{{url('admin/master-item-status/'.$datas->id)}}" class="btn btn-danger">De-Activated</a>
                      @endif
                    </td>
                    <td>{{$datas->created_at}}</td>
                    <td>
                      <a href="{{url('admin/master_items/'.$datas->id.'/edit')}}" class="btn btn-warning">Edit</a> 
                      
                     </td>
                     <td>{{ Form::open(array('url' => 'admin/master_items/' . $datas->id, 'class' => 'pull-right')) }}
                    {{ Form::hidden('_method', 'DELETE') }}
                        {{ Form::submit('Delete', array('class' => 'btn btn-danger')) }}
                    {{ Form::close() }}</td>
                  </tr>
                  @endforeach
                  </tbody>
                  <tfoot>
                  <tr>
                    <th>ID</th>
                    <th>Title</th>
                    <th>Arabic Title</th>
                    <th>Image</th>
                    <th>price</th>
                    <th>Status</th>
                    <th>Date</th>
                    <th>Action</th>
                    <th></th>
                  </tr>
                  </tfoot>
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
@endsection