@extends('layouts.admin')
@section('title', 'Sub Category')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Sub Category</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/categories')}}">Sub Category</a></li>
              <li class="breadcrumb-item active">Create</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Add Sub Category</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Html::ul($errors->all()) }}

                {{ Form::open(['files'=>true,'url' => 'admin/sub_categories']) }}
                <div class="card-body">
                  <div class="form-group">
                    <label for="exampleInputEmail1">Category</label>
                    <select name="category_id" class="form-control">
                      @foreach($categories as $cat)
                        <option value="{{$cat->id}}">{{$cat->title}}</option>
                      @endforeach
                    </select>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Title</label>
                    {{ Form::text('title', Request::old('title'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter name')) }}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Arabic Title</label>
                    {{ Form::text('arabic_title', Request::old('arabic_title'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter arabic name')) }}
                  </div>
                  
                  <div class="form-group">
                    <label for="exampleInputPassword1">Status</label>
                 <input type="radio" name="status" checked value="1"> Active
                <input type="radio" name="status" value="0"> Inactive
                
              </div>
                  
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection