<?php

use Illuminate\Support\Facades\Route;
//Controller defined START
use App\Http\Controllers\HomeController;
use App\Http\Controllers\WelcomeController;
use App\Http\Controllers\CatererController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\SubCategoryController;
use App\Http\Controllers\SizeController;
use App\Http\Controllers\ColorController;
use App\Http\Controllers\FontController;
use App\Http\Controllers\MasterItemController;
use App\Http\Controllers\OfferController;

//Controller defined END
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('index');
// });
//Route::get('/', [App\Http\Controllers\WelcomeController::class, 'home']);
Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('admin/home', [HomeController::class, 'adminHome'])->name('admin.home')->middleware('is_admin');
Route::get('admin/edit_profile',[HomeController::class,'edit_profile'])->name('edit_profile');
Route::post('admin/edit_profile',[HomeController::class,'edit_profile'])->name('edit_profile');

Route::get('admin/password',[HomeController::class,'password'])->name('password');
Route::post('admin/password',[HomeController::class,'password'])->name('password');

Route::resource('admin/caterers', CatererController::class);
Route::resource('admin/customers', CustomerController::class);
Route::resource('admin/categories', CategoryController::class);
Route::resource('admin/sub_categories', SubCategoryController::class);
Route::resource('admin/sizes', SizeController::class);
Route::resource('admin/colors', ColorController::class);
Route::resource('admin/fonts', FontController::class);
Route::resource('admin/master_items', MasterItemController::class);
Route::resource('admin/offers', OfferController::class);
Route::get('admin/customer/addresses/{id}', [CustomerController::class,'customer_addresses'])->name('customer_addresses');
//Caterer Dashboard routes END
Route::get('admin/profiles/update-profile', [ProfileController::class,'update_profile'])->name('update_profile');
Route::post('admin/profiles/update-profile', [ProfileController::class,'update_profile'])->name('update_profile');

//Get area as per the city//////////
Route::post('admin/get-area-by-city',[CatererController::class,'getArea']);
Route::post('admin/get-subcategory',[MasterItemController::class,'getSub']);

///////////////// Status Update Routes for Admin Panel ///////////////////////////////

Route::get('admin/caterer-status/{id}',[CatererController::class,'status'])->name('status');

Route::get('admin/customer-status/{id}',[CustomerController::class,'status'])->name('status');
Route::get('admin/category-status/{id}',[CategoryController::class,'status'])->name('status');
Route::get('admin/size-status/{id}',[SizeController::class,'status'])->name('status');
Route::get('admin/color-status/{id}',[ColorController::class,'status'])->name('status');
Route::get('admin/font-status/{id}',[FontController::class,'status'])->name('status');
Route::get('admin/offer-status/{id}',[OfferController::class,'status'])->name('status');
Route::get('admin/sub-category-status/{id}',[SubCategoryController::class,'status'])->name('status');
///////////////// Status Update Routes for Admin Panel ///////////////////////////////



