<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
  <title>Drag Order</title>

  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">

  <style>
    #draggable { 
        width: 150px;
        height: 150px;
        padding: 0.5em;
    }
  </style>
  <style>
  #sortable3, #sortable4, #sortable5 {
    border: 1px solid #eee;
    width: 142px;
    min-height: 20px;
    list-style-type: none;
    margin: 0;
    padding: 5px 0 0 0;
    float: left;
    margin-right: 10px;
  }
  #sortable1 li, #sortable2 li {
    margin: 0 5px 5px 5px;
    padding: 5px;
    font-size: 1.2em;
    width: 120px;
  }
  body ul .draggable {
  will-change: transform;
  font-family: "Raleway", sans-serif;
  font-weight: 800;
  height: 50px;
  list-style-type: none;
  margin: 10px;
  background-color: white;
  color: #212121;
  width: 250px;
  line-height: 3.2;
  padding-left: 10px;
  cursor: move;
  transition: all 200ms;
  user-select: none;
  margin: 10px auto;
  position: relative;
}
body ul .draggable:after {
  content: 'drag me';
  right: 7px;
  font-size: 10px;
  position: absolute;
  cursor: pointer;
  line-height: 5;
  transition: all 200ms;
  transition-timing-function: cubic-bezier(0.48, 0.72, 0.62, 1.5);
  transform: translateX(120%);
  opacity: 0;
}
body ul .draggable:hover:after {
  opacity: 1;
  transform: translate(0);
}
 
  </style>
</head>
<body class="bg-light">
<p>Drag Orders</p>
  <!-- <b>Pending Orders</b> -->
  <ul id="sortable3" class="connectedSortable list-group">
  <?php if(!empty($panddingItem) && $panddingItem->count()): ?>
    <?php $__currentLoopData = $panddingItem; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
        <li class="ui-state-default list-group-item" item-id="<?php echo e($value->id); ?>" style="background-color: red; color: white;"><?php echo e($value->title); ?></li>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  <?php endif; ?> 
</ul>
  
<!-- <b>On The Way Orders</b>    -->
<ul id="sortable4" class="connectedSortable list-group">
  <?php if(!empty($wayItem) && $wayItem->count()): ?>
    <?php $__currentLoopData = $wayItem; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
        <li class="ui-state-default list-group-item " item-id="<?php echo e($value->id); ?>" style="background-color: yellow; color: black;"><?php echo e($value->title); ?></li>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  <?php endif; ?> 
</ul>
<!-- <b>Delivered Orders</b>  -->
<ul id="sortable5" class="connectedSortable list-group" >
  <?php if(!empty($completeItem) && $completeItem->count()): ?>
    <?php $__currentLoopData = $completeItem; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
        <li class="ui-state-default list-group-item" item-id="<?php echo e($value->id); ?>" style="background-color: green; color: white;"><?php echo e($value->title); ?></li>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  <?php endif; ?> 
</ul>

  <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
  <script>
  $( function() {
    $( "#sortable3, #sortable4, #sortable5" ).sortable({
      connectWith: ".connectedSortable"
    }).disableSelection();

    $( ".connectedSortable" ).on( "sortupdate", function( event, ui ) {
        var panddingArr = [];
        var wayArr = [];
        var completeArr = [];

        $("#sortable3 li").each(function( index ) {
          panddingArr[index] = $(this).attr('item-id');
        });

        $("#sortable4 li").each(function( index ) {
          wayArr[index] = $(this).attr('item-id');
        });

        $("#sortable5 li").each(function( index ) {
          completeArr[index] = $(this).attr('item-id');
        });

        $.ajax({
            url: "<?php echo e(url('admin/update-items')); ?>",
            method: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {panddingArr:panddingArr,wayArr:wayArr,completeArr:completeArr},
            success: function(data) {
              console.log('success');
            }
        });
    }); 

  } );
  </script>
  <script>
  $( function() {
    $( "#padding-item-drop, #complete-item-drop" ).sortable({
      connectWith: ".connectedSortable",
      opacity: 0.5,
    }).disableSelection();




    $( ".connectedSortable" ).on( "sortupdate", function( event, ui ) {
        var panddingArr = [];
        var completeArr = [];

        $("#padding-item-drop li").each(function( index ) {
          panddingArr[index] = $(this).attr('item-id');
        });

        $("#complete-item-drop li").each(function( index ) {
          completeArr[index] = $(this).attr('item-id');
        });

        $.ajax({
            url: "<?php echo e(url('admin/update-items')); ?>",
            method: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            data: {panddingArr:panddingArr,completeArr:completeArr},
            success: function(data) {
              console.log('success');
            }
        });
          
    });
  });
</script>
</body>
</html><?php /**PATH C:\xampp\htdocs\try_cater_git\resources\views/dragAndDroppable.blade.php ENDPATH**/ ?>