<?php $__env->startSection('title', 'Dashboard'); ?>
<?php $__env->startSection('content'); ?>
<?php 
$user_count = DB::table('users')->where('is_admin','0')->whereNull('caterer_id')->whereNull('deleted_at')->count();
$caterer_count = DB::table('users')->where('is_admin','1')->where('caterer_id','!=','')->whereNull('deleted_at')->count();
$caterer_item_count = DB::table('caterer_items')->where('status','1')->whereNull('deleted_at')->count();
$orders_count = DB::table('orders')->count();
$orders_to_be_count = DB::table('orders')->where('order_status','pending')->count();
$orders_cancel = DB::table('orders')->where('order_status','canceled')->count();
$orders_delivered_count = DB::table('orders')->where('order_status','delivered')->count();
$users = DB::table('users')->where('is_admin','0')->whereNull('caterer_id')->whereNull('deleted_at')->take(5)->orderBy('id','desc')->get();

$orders = DB::table('orders')->take(5)->orderBy('id','desc')->get();
?>
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Dashboard</h1>
            <br>
            <?php if(Session::has('message')): ?>
                    <div class="alert alert-danger"><?php echo e(Session::get('message')); ?></div>
                <?php endif; ?>
          </div><!-- /.col -->
          
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
<div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-info">
              <div class="inner">
                <h3><?php echo e($orders_count); ?></h3>

                <p>Caterer Booking</p>
              </div>
              <div class="icon">
                <!-- <i class="ion ion-bag"></i> -->
              </div>
              <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-success">
              <div class="inner">
                <h3><?php echo e($caterer_count); ?></h3>

                <p>Caterers</p>
              </div>
              <div class="icon">
              </div>
              <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-warning">
              <div class="inner">
                <h3><?php echo e($user_count); ?></h3>

                <p>User Registrations</p>
              </div>
              <div class="icon">
                
              </div>
              <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-danger">
              <div class="inner">
                <h3><?php echo e($caterer_item_count); ?></h3>

                <p>Caterer Items</p>
              </div>
              <div class="icon">
              </div>
              <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          
          <!-- ./col -->
          
          <!-- ./col -->
        </div>
        
        <!-- Main row -->
        <div class="row">
          <!-- Left col -->
          <section class="col-lg-6 connectedSortable">
            <!-- Custom tabs (Charts with tabs)-->
            
            <!-- DIRECT CHAT -->
            <div class="card">
              <div class="card-header border-0">
                <h3 class="card-title"><b>Latest Members</b></h3>
                
              </div>
              <div class="card-body table-responsive p-0">
                <table class="table table-striped table-valign-middle">
                  <thead>
                  <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Status</th>
                    <th>Date</th>
                  </tr>
                  </thead>
                  <tbody>
                <?php $a = 1; ?>    
                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>    
                  <tr>
                    <td><?php echo e($a); ?></td>
                    <td><?php echo e(ucfirst($user->first_name)); ?> <?php echo e(ucfirst($user->last_name)); ?></td>
                    <td><?php if($user->status=='1'): ?>Active <?php else: ?> In-Active <?php endif; ?></td>
                    <td><?php echo e($user->created_at); ?></td>
                  </tr>
                <?php $a++; ?>  
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                  </tbody>
                </table>
              </div>
            </div>
            <!--/.direct-chat -->
          </section>
          <!-- /.Left col -->
          <!-- right col (We are only adding the ID to make the widgets sortable)-->
          <section class="col-lg-6 connectedSortable">

            <!-- DIRECT CHAT -->
            <div class="card">
              <div class="card-header border-0">
                <h3 class="card-title"><b>Latest Booking</b></h3>
              </div>
              <div class="card-body table-responsive p-0">
                <table class="table table-striped table-valign-middle">
                  <thead>
                  <tr>
                    <th>Order ID</th>
                    <th>Invoice Date</th>
                    <th>Status</th>
                    <th>Payment Type</th>
                  </tr>
                  </thead>
                  <tbody>
                  <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
                  <tr>
                    <td><?php echo e($order->invoice_id); ?></td>
                    <td><?php echo e($order->invoice_date); ?></td>
                    <td><?php echo e($order->order_status); ?></td>
                    <td><?php echo e($order->payment_type); ?></td>
                  </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
                </table>
              </div>
            </div>
            <!--/.direct-chat -->
          </section>
          <!-- right col -->
        </div>
        <!-- /.row (main row) -->
        <div class="row">
            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-blue"><i class="fa fa-check-circle"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">Order Delivered</span>
                  <span class="info-box-number"><?php echo e($orders_delivered_count); ?> </span>
                </div><!-- /.info-box-content -->
              </div><!-- /.info-box -->
            </div><!-- /.col -->
            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-green"><i class="fas fa-external-link-square-alt"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">Orders To Deliver</span>
                  <span class="info-box-number"><?php echo e($orders_to_be_count); ?> </span>
                </div><!-- /.info-box-content -->
              </div><!-- /.info-box -->
            </div><!-- /.col -->

            <!-- fix for small devices only -->
            <div class="clearfix visible-sm-block"></div>

            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-yellow"><i class="fas fa-remove-format"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">Booking Cancelled</span>
                  <span class="info-box-number"><?php echo e($orders_cancel); ?> </span>
                </div><!-- /.info-box-content -->
              </div><!-- /.info-box -->
            </div><!-- /.col -->
            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-red"><i class="fa fa-check-circle"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">Total Booking</span>
                  <span class="info-box-number"><?php echo e($orders_count); ?> </span>
                </div><!-- /.info-box-content -->
              </div><!-- /.info-box -->
            </div><!-- /.col -->
          </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\try_cater_git\resources\views/adminHome.blade.php ENDPATH**/ ?>