<?php $__env->startSection('title', 'Caterer'); ?>
<?php $__env->startSection('content'); ?>
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-12">
            <h1>Caterer</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/caterers')); ?>">Caterer</a></li>
              <li class="breadcrumb-item active">Update</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Edit Caterer</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                <?php echo e(Html::ul($errors->all())); ?>


                <?php echo e(Form::model($data, array('route' => array('caterers.update', $data->id), 'method' => 'PUT','files'=>true))); ?>

                <div class="card-body">
                  <div class="form-group">
                    <label for="exampleInputEmail1">Caterer Name in English</label>
                    <?php echo e(Form::text('name', Request::old('name'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter name'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Caterer Detail in English</label>
                    <?php echo e(Form::textarea('detail', Request::old('detail'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter detail'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Caterer Name in Arabic</label>
                    <?php echo e(Form::text('arabic_name', Request::old('arabic_name'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter arabic name'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Caterer Detail in Arabic</label>
                    <?php echo e(Form::textarea('arabic_detail', Request::old('arabic_detail'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter detail'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Status</label>
                    <input type="radio" name="status" checked value="available" <?php if($data->status=='available'): ?> checked <?php endif; ?>> Available
                    <input type="radio" name="status" value="not_available" <?php if($data->status=='not_available'): ?> checked <?php endif; ?>> Not Available
                    <input type="radio" name="status" value="inactive" <?php if($data->status=='inactive'): ?> checked <?php endif; ?>> Inactive
                    
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Female Service</label>
                    <input type="radio" name="female_service" <?php if($data->female_service=='available'): ?> checked <?php endif; ?> value="available"> Available
                    <input type="radio" name="female_service" <?php if($data->female_service=='not_available'): ?> checked <?php endif; ?>  value="not_available"> Not Available
                    
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Organization Logo</label>
                    <input type="file" name="logo" class="form-control">
                    <img src="<?php echo e(asset('caterer_logo/'.$data->logo)); ?>" width="150" height="150">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Cover Image</label>
                    <input type="file" name="cover_image" class="form-control">
                    <img src="<?php echo e(asset('caterer_cover/'.$data->cover_image)); ?>" width="150" height="150">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Payment Type</label><br>
                    <?php $__currentLoopData = $payment_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment_type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <input type="checkbox" name="payment_type[]" value="<?php echo e($payment_type->id); ?>" 
                    <?php echo e($payment_type->attr); ?> > <?php echo e($payment_type->name); ?><br>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Delivery Time To Show</label>
                    <?php echo e(Form::text('time_show', Request::old('time_show'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'e.g : 45 Mins'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Delivery Charge</label>
                    <?php echo e(Form::text('delivery_charge', '0', array('id'=>'exampleInputEmail1','class' => 'form-control'))); ?><br>
                    <b>Is Discount Available</b> <input type="radio" class="discount_available-js" <?php if($data->discount_available=='yes'): ?> checked <?php endif; ?> name="discount_available" value="yes"> Yes
                    <input type="radio" class="discount_available-js" name="discount_available" <?php if($data->discount_available=='no'): ?> checked <?php endif; ?> value="no"> No
                  </div>

                  <div id="discount-js-show" <?php if($data->discount_available=='no'): ?> style="display: none;" <?php endif; ?>>
                      <div class="form-group">
                        <label for="exampleInputPassword1">Discount Type</label>
                        <input type="radio" name="discount_type" <?php if($data->discount_type=='percentage'): ?> checked <?php endif; ?> value="percentage"> Percentage(%)
                        <input type="radio" name="discount_type" <?php if($data->discount_type=='value'): ?> checked <?php endif; ?>  value="value"> Value
                        
                      </div>
                      <div class="form-group">
                        <label for="exampleInputEmail1">Discount Value</label>
                        <?php echo e(Form::text('discount_value', Request::old('discount_value'), array('id'=>'exampleInputEmail1','class' => 'form-control discount-val-js','placeholder' => 'Discount Value'))); ?>

                      </div>
                      <div class="form-group">
                        <label for="exampleInputEmail1">Start Date</label>
                        <?php echo e(Form::date('start_date', Request::old('start_date'), array('id'=>'exampleInputEmail1','class' => 'form-control start-date-js'))); ?>

                      </div>
                      <div class="form-group">
                        <label for="exampleInputEmail1">End Date</label>
                        <?php echo e(Form::date('end_date', Request::old('end_date'), array('id'=>'exampleInputEmail1','class' => 'form-control end-date-js'))); ?>

                      </div>
                  </div>
                  <hr>
                  <h3 class="card-title">Admin For Caterer</h3>
                  <br>
                  <hr>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Display Name</label>
                    <?php echo e(Form::text('display_name', $user->name, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter display name'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">First Name</label>
                    <?php echo e(Form::text('first_name', $user->first_name, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter first name'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Last Name</label>
                    <?php echo e(Form::text('last_name', $user->last_name, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter last name'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Email</label>
                    <?php echo e(Form::email('email', $user->email, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter email'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Username</label>
                    <?php echo e(Form::text('username', $user->username, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter username'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Password</label>
                    <input type="password" name="password" value="" placeholder="********" class="form-control">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Address</label>
                    <?php echo e(Form::textarea('address', $user->address, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter address'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Lat</label>
                    <?php echo e(Form::text('lat', $user->lat, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter lat'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Lng</label>
                    <?php echo e(Form::text('lng', $user->lng, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter lng'))); ?>

                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">City</label>
                    <select id="city_js" name="city_id" class="form-control">
                      <option value="">--Select City--</option>
                      <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $citi): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <option value="<?php echo e($citi->id); ?>"  <?php if($citi->id==$user->city_id): ?> selected <?php endif; ?>><?php echo e($citi->name); ?> / <?php echo e($citi->arabic_name); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Area</label>
                    <select id="area_js" name="area_id" class="form-control">
                      <option value="">--Select Area--</option>
                      <?php $__currentLoopData = $get_area_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $get_area_lists): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <option value="<?php echo e($get_area_lists->id); ?>"  <?php if($get_area_lists->id==$user->area_id): ?> selected <?php endif; ?>><?php echo e($get_area_lists->name); ?> / <?php echo e($get_area_lists->arabic_name); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div>
                  <div class="form-group">
                    <label class="exampleInputEmail1">Services Provide in</label>
                    <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title"><i class="fas fa-map-marker-alt"></i> Services Provide in</h3>
              </div>
              <div class="card-body">
                <!-- Minimal style -->
                <div class="row">
                  <?php $a=1; ?>
                  <?php $__currentLoopData = $areas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $area): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <div class="col-sm-6">
                    <!-- checkbox -->
                    <div class="form-group clearfix">
                      <div class="icheck-primary d-inline">
                        <input type="checkbox" id="checkboxPrimary<?php echo e($a); ?>" name="area[]" value="<?php echo e($area->id); ?>" <?php echo e($area->attr); ?>>
                        <label for="checkboxPrimary<?php echo e($a); ?>">
                          <?php echo e($area->name); ?> / <?php echo e($area->arabic_name); ?>

                        </label>
                      </div>
                    </div>
                  </div>
                  <?php $a++; ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                
              </div>
              
            </div>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Mobile</label>
                    <?php echo e(Form::text('phone', $user->phone, array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => '+96560065645'))); ?>

                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              <?php echo e(Form::close()); ?>

            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('footer-scripts'); ?>
      <?php echo $__env->make('scripts.carterer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\try_cater_git\resources\views/caterers/edit.blade.php ENDPATH**/ ?>