<?php $__env->startSection('title', 'Dashboard'); ?>
<?php $__env->startSection('content'); ?>

<?php 
$user_count = DB::table('users')->where('is_admin','0')->whereNull('caterer_id')->whereNull('deleted_at')->count();
$caterer_count = DB::table('users')->where('is_admin','1')->where('caterer_id','!=','')->whereNull('deleted_at')->count();
$caterer_item_count = DB::table('caterer_items')->where('organisation',Auth::user()->caterer_id)->where('status','1')->whereNull('deleted_at')->count();
$orders_count = DB::table('orders')->where('caterer_id',Auth::user()->caterer_id)->count();
$orders_to_be_count = DB::table('orders')->where('caterer_id',Auth::user()->caterer_id)->where('order_status','pending')->count();
$orders_cancel = DB::table('orders')->where('caterer_id',Auth::user()->caterer_id)->where('order_status','on the way')->count();
$orders_delivered_count = DB::table('orders')->where('caterer_id',Auth::user()->caterer_id)->where('order_status','delivered')->count();
$orders_accept_count = DB::table('orders')->where('caterer_id',Auth::user()->caterer_id)->where('order_status','accepted')->count();

$panddingItem = DB::table('orders')->where('order_status','pending')->orderBy('order_sorting')->get();
$wayItem = DB::table('orders')->where('order_status','on the way')->orderBy('order_sorting')->get();
$acceptItem = DB::table('orders')->where('order_status','accepted')->orderBy('order_sorting')->get();
$completeItem = DB::table('orders')->where('order_status','delivered')->orderBy('order_sorting')->get();
?>
<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Caterer Dashboard</h1>
            <br>
            <?php if(Session::has('message')): ?>
                    <div class="alert alert-danger"><?php echo e(Session::get('message')); ?></div>
                <?php endif; ?>
          </div><!-- /.col -->
          
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
<div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
          <div class="col-lg-6 col-6">
            <!-- small box -->
            <div class="small-box bg-info">
              <div class="inner">
                <h3><?php echo e($orders_count); ?></h3>

                <p>Caterer Booking</p>
              </div>
              <div class="icon">
                <!-- <i class="ion ion-bag"></i> -->
              </div>
              <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          
          <!-- ./col -->
          <div class="col-lg-6 col-6">
            <!-- small box -->
            <div class="small-box bg-danger">
              <div class="inner">
                <h3><?php echo e($caterer_item_count); ?></h3>

                <p>Caterer Items</p>
              </div>
              <div class="icon">
              </div>
              <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          
          
          <!-- ./col -->
        </div>
        <div class="row">

            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-green"><i class="fas fa-external-link-square-alt"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">Orders To Deliver</span>
                  <span class="info-box-number"><?php echo e($orders_to_be_count); ?> </span>
                  
                </div><!-- /.info-box-content -->
              </div><!-- /.info-box -->
              <!-- <ul class="list-group">
                <li class="list-group-item">Cras justo odio</li>
                <li class="list-group-item">Dapibus ac facilisis in</li>
                <li class="list-group-item">Morbi leo risus</li>
                <li class="list-group-item">Porta ac consectetur ac</li>
                <li class="list-group-item">Vestibulum at eros</li>
              </ul> -->

              <ul id="sortable3" class="connectedSortable list-group">
                <?php if(!empty($panddingItem) && $panddingItem->count()): ?>
                  <?php $__currentLoopData = $panddingItem; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
                      <li class="ui-state-default list-group-item" item-id="<?php echo e($value->id); ?>" style="background-color: red; color: white;"><?php echo e($value->title); ?></li>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?> 
              </ul>
            </div><!-- /.col -->
            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-red"><i class="fa fa-check-circle"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">Order Accepted</span>
                  <span class="info-box-number"><?php echo e($orders_accept_count); ?> </span>
                </div><!-- /.info-box-content -->
              </div><!-- /.info-box -->
              <ul id="sortable6" class="connectedSortable list-group">
                <?php if(!empty($acceptItem) && $acceptItem->count()): ?>
    <?php $__currentLoopData = $acceptItem; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
        <li class="ui-state-default list-group-item " item-id="<?php echo e($value->id); ?>" style="background-color: orange; color: black;"><?php echo e($value->title); ?></li>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  <?php endif; ?> 
</ul>
            </div><!-- /.col -->
            <!-- fix for small devices only -->
            <div class="clearfix visible-sm-block"></div>

            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-yellow"><i class="fas fa-remove-format"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">On The Way Orders</span>
                  <span class="info-box-number"><?php echo e($orders_cancel); ?> </span>
                </div><!-- /.info-box-content -->
              </div><!-- /.info-box -->
             <ul id="sortable4" class="connectedSortable list-group">
  <?php if(!empty($wayItem) && $wayItem->count()): ?>
    <?php $__currentLoopData = $wayItem; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
        <li class="ui-state-default list-group-item " item-id="<?php echo e($value->id); ?>" style="background-color: yellow; color: black;"><?php echo e($value->title); ?></li>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  <?php endif; ?> 
</ul>
            </div><!-- /.col -->
            <div class="col-md-3 col-sm-6 col-xs-12">
              <div class="info-box">
                <span class="info-box-icon bg-blue"><i class="fa fa-check-circle"></i></span>
                <div class="info-box-content">
                  <span class="info-box-text">Order Delivered</span>
                  <span class="info-box-number"><?php echo e($orders_delivered_count); ?> </span>
                </div><!-- /.info-box-content -->
              </div><!-- /.info-box -->
              <ul id="sortable5" class="connectedSortable list-group" >
                <?php if(!empty($completeItem) && $completeItem->count()): ?>
                  <?php $__currentLoopData = $completeItem; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
                      <li class="ui-state-default list-group-item" item-id="<?php echo e($value->id); ?>" style="background-color: green; color: white;"><?php echo e($value->title); ?></li>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?> 
              </ul>
            </div><!-- /.col -->
            
          </div>
        <!-- /.row -->
        <!-- Main row -->
        <div class="row">
          
        </div>
        <!-- /.row (main row) -->
      </div><!-- /.container-fluid -->

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.caterer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\try_cater_git\resources\views/adminCaterer.blade.php ENDPATH**/ ?>